Skip to main content

Requirements

System Requirements

Operating System

Operating System: Apple OS 10.x  | Microsoft Windows 7 or 10


Memory (RAM)

2 GB or Greater


Internet Connection

A minimum download connection speed of 1.8 Mbps is recommended for courseware streaming.


Monitor Resolution

1024 x 768 or higher recommended


Web Browsers (minimum required)

Internet Explorer 11 (Note: Microsoft is no longer supporting versions 8,9 and 10 so we recommend you update to the latest version)

Google Chrome v57

Apple Safari v10

Mozilla Firefox v52

Microsoft Edge

Note: Many of the supported web browsers will auto update to the latest version as it is released. If you have turned off auto update, or disabled it, your web browser must meet the minimum version noted above. We recommend to enable auto updating in your web browser.


PDF

Adobe Acrobat Reader 8 or higher


Online Courses
System
Requirements

 

United Academy’s online courses use a variety of technologies and have different requirements. If required, you can download the required Flash Plug-In and Unity Web Player below (only for Internet Explorer 11 and Mac OS X Safari).

Flash Based Courses

These courses will only run in a desktop environment. Mobile devices are not supported. Each web browser’s support for Flash is different and changes frequently. Test your computer to see if it meets the minimum requirements, as well as see how to enable Flash in your browser.

     Run Test      


Blended Learning Courses

These courses use 3D technology from Unity. Test your computer to see if it meets the minimum requirements including support for the Unity Web Player and WebGL compliance.

      Run Test     


Download Plugins

Adobe Flash

Download Flash

Get Unity

Download Unity Web Player

Note: Mozilla Firefox and Google Chrome support Unity through Web GL. Internet Explorer 11 and Mac OS x Safari browsers supports Unity through the Unity Player, which can be downloaded at the link above.


Mobile Requirements

Apple

iOS8 & Above (iPhone & iPad Supported)

Android

4.4 & Above (Smartphone & Tablet Supported)

Note: It is recommended to use our Mobile App on mobile devices (Smartphones & tablets). You can learn more here: Mobile App Overview


Courseware Support on Mobile Devices

Some courseware that is not Flash or Unity based will run in the mobile app. United Academy is in the process of updating all courses to be mobile friendly and will continue to do so over the foreseeable future.